Skip to main content
`Ctrl`+`K`

# Routines and objects by topic

In this chapter, routine docstrings are presented, grouped by functionality. Many docstrings contain example code, which demonstrates basic usage of the routine.

A convenient way to execute examples is the `%doctest_mode` mode of IPython, which allows for pasting of multi-line examples and preserves indentation.

- Constants
- Array creation routines
- Array manipulation routines
- Bit-wise operations
- String functionality
- Datetime support functions
- Data type routines
- Mathematical functions with automatic domain
- Floating point error handling
- Exceptions and Warnings
- Discrete Fourier Transform
- Functional programming
- Input and output
- Indexing routines
- Linear algebra
- Logic functions
- Masked array operations
- Mathematical functions
- Miscellaneous routines
- Polynomials
- Random sampling
- Set routines
- Sorting, searching, and counting
- Statistics
- Test support
- Window functions